@charset "UTF-8";

/* VIDEO CONTAINER GESAMT */

.video-wrapper {
    container-type: inline-size;

    position: relative;
    z-index: 1;
    overflow: hidden;

    display: flex;
    align-items: center;

    width: 100%;
    /* min-height: 15rem; */
    height: fit-content;

    background: rgb(0, 0, 0);
}

    video {
        position: relative;
        z-index: 1;

        display: flex;

        width: 100%;
        height: 100%;
    }

    .video-thumbnail {
        position: absolute;
        z-index: 20;
        object-fit: cover;

        width: 100%;
        height: 100%;

        transition: transform 300ms ease-out;
    }

    .video-wrapper:hover .video-thumbnail {
        transform: scale(1.05);
    }

    .video-thumbnail.hidden {
        display: none;
    }

    .thumbnail-play-button {
        position: absolute;
        z-index: 25;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);

        display: flex;
        justify-content: center;
        align-items: center;

        width: 5rem;
        height: 5rem;

        padding: 0;

        background: rgba(212, 160, 23, 0.8);

        border-style: none;
        border-radius: 50%;

        transition: transform 120ms ease-out;
        cursor: pointer;
    }
    /* Nur moderne Browser bekommen fluid size */
    @supports (width: clamp(1px, 2px, 3px)) and (height: clamp(1px, 2px, 3px)) {
        .thumbnail-play-button {
            width: clamp(5rem, 2.9545rem + 9.0909cqw, 10rem);
            height: clamp(5rem, 2.9545rem + 9.0909cqw, 10rem);
        }
    }

    .thumbnail-play-button-icon {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);

        width: 50%;
        height: 50%;

        fill: rgb(255, 255, 255);
    }

    .thumbnail-play-button:active {
        transform: translate(-50%, -50%) scale(0.8);
    }

    .thumbnail-play-button.hidden {
        display: none;
    }

    .video-button {
        display: flex;
        justify-content: center;
        align-items: center;

        width: 1.5rem;
        height: 1.5rem;

        margin: 0rem 0.5rem 0rem 0.5rem;
        padding: 0;

        background: transparent;

        border-style: none;

        transition: transform 120ms ease-out;
        cursor: pointer;
    }
    /* Nur moderne Browser bekommen fluid size */
    @supports (width: clamp(1px, 2px, 3px)) and (height: clamp(1px, 2px, 3px)) {
        .video-button {
            width: clamp(1.5rem, 1.3846rem + 0.5128cqw, 2rem);
            height: clamp(1.5rem, 1.3846rem + 0.5128cqw, 2rem);
        }
    }

    .video-button-icon {
        width: 100%;
        height: 100%;

        fill: rgb(255, 255, 255);
    }

    .video-button:active {
        transform: scale(0.8);
    }

    .video-menu-button {
        width: 100%;

        margin: 0;
        padding: 0.35rem 0.6rem 0.35rem 0.6rem;

        background: rgb(255, 255, 255);

        border-style: none;

        font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
        color: rgb(0, 0, 0);
        font-size: 0.7rem;
        text-align: left;
        
        cursor: pointer;
    }
    /* Nur moderne Browser bekommen fluid size */
    @supports (font-size: clamp(1rem, 2cqw, 3rem)) {
        .video-menu-button {
            font-size: clamp(0.7rem, 0.6538rem + 0.2051cqw, 0.9rem);
        }
    }

    .video-menu-button:hover {
        background: rgb(212, 160, 23);
    }

    .video-menu-button.is-active {
        font-weight: bold;
    }

    .video-hide-cursor {
        cursor: none;
    }

    /* VIDEO UID GESAMT */

    .video-ui {
        z-index: -10;
        position: absolute;
        top: 0;
        left: 0;
        
        display: flex;
        flex-direction: column-reverse;
        justify-content: flex-start;

        width: 100%;
        height: 100%;
        
        background: linear-gradient(to top, rgba(0,0,0,0.75), transparent);

        opacity: 1;
        transition: opacity 0.3s ease;
    }

    .video-ui.hidden {
        opacity: 0;
        pointer-events: none;
    }

        /* VIDEO TIMELINE */
        .video-timeline {
            height: 0.3rem;

            margin-bottom: 0.9rem;
            padding: 0rem 0.9rem 0rem 0.9rem;
            
            cursor: pointer;
        }

            .timeline-track {
                position: relative;

                width: 100%;
                height: 100%;

                background: rgba(255, 255, 255, 0.75);

                border-radius: 50px;
            }

                .timeline-progress {
                    position: absolute;

                    width: 0%;
                    height: 100%;

                    background: rgb(212, 160, 23);

                    border-radius: 50px;
                }

                .timeline-thumb {
                    position: absolute;
                    top: 50%;
                    left: 0%;

                    width: 1.25rem;
                    height: 1.25rem;

                    background: rgb(255, 255, 255);

                    border-radius: 50%;

                    transform: translate(-50%, -50%);
                    will-change: transform;
                }

                    .timeline-tooltip {
                        position: absolute;
                        z-index: 10;
                        bottom: 1.1rem;
                        transform: translateX(-50%);

                        display: none;

                        padding: 0.25rem 0.5rem 0.25rem 0.5rem;

                        background: rgb(255, 255, 255);

                        border-radius: 5px;

                        font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
                        color: rgb(0, 0, 0, 1);
                        font-size: 0.7rem;
                        
                        pointer-events: none;
                    }
                    /* Nur moderne Browser bekommen fluid size */
                    @supports (font-size: clamp(1rem, 2cqw, 3rem)) {
                        .timeline-tooltip {
                            font-size: clamp(0.7rem, 0.6538rem + 0.2051cqw, 0.9rem);
                        }
                    }

        /* VIDEO CONTROLS GESAMT */
        .video-controls {
            display: flex;
            flex-direction: row;
            align-items: center;

            margin: 0;
            padding: 10px;

            list-style: none;
        }

        /* VIDEO CONTROLS EINZELSEGMENTE */
        .controls-left, .controls-center, .controls-right {
            display: flex;
            align-items: center;

            width: 100%;
        }

            .controls-left {
                justify-content: flex-start;
            }

                /* AUDIO STYLING */
                .volume-slider {
                    display: none;

                    width: 3.75rem;
                    height: 0.3rem;

                    margin: 0rem 0.55rem 0rem 0.25rem;

                    cursor: pointer;
                }

                    .volume-track {
                        position: relative;

                        width: 100%;
                        height: 100%;

                        background: rgba(255, 255, 255, 0.75);

                        border-radius: 50px;
                    }

                        .volume-bar {
                            position: absolute;

                            width: 0%;
                            height: 100%;

                            background: rgb(212, 160, 23);

                            border-radius: 50px;
                        }

                        .volume-thumb {
                            position: absolute;
                            top: 50%;
                            left: 0%;

                            width: 0.9rem;
                            height: 0.9rem;

                            background: rgb(255, 255, 255);

                            border-radius: 50%;

                            transform: translate(-50%, -50%);
                            will-change: transform;
                        }

                            .volume-tooltip {
                                position: absolute;
                                z-index: 10;
                                bottom: 0.9rem;
                                transform: translateX(-50%);

                                display: none;
                                
                                padding: 0.25rem 0.5rem 0.25rem 0.5rem;
                                
                                background: rgb(255, 255, 255);
                                
                                border-radius: 5px;

                                font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
                                color: rgb(0, 0, 0);
                                font-size: 0.7rem;
                                
                                pointer-events: none;
                            }
                            /* Nur moderne Browser bekommen fluid size */
                            @supports (font-size: clamp(1rem, 2cqw, 3rem)) {
                                .volume-tooltip {
                                    font-size: clamp(0.7rem, 0.6538rem + 0.2051cqw, 0.9rem);
                                }
                            }

                /* TIMER STYLING */
                .video-timer {
                    margin: 0rem 0.25rem 0rem 0.25rem;

                    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
                    color: rgb(255, 255, 255);
                    font-size: 0.7rem;
                }
                /* Nur moderne Browser bekommen fluid size */
                @supports (font-size: clamp(1rem, 2cqw, 3rem)) {
                    .video-timer {
                        font-size: clamp(0.7rem, 0.6538rem + 0.2051cqw, 0.9rem);
                    }
                }

            .controls-center {
                position: absolute;
                top: 50%;
                left: 50%;

                justify-content: center;

                transform: translate(-50%, -50%);
            }

                .center-play {
                    width: 2.5rem;
                    height: 2.5rem;
                }
                /* Nur moderne Browser bekommen fluid size */
                @supports (width: clamp(1px, 2px, 3px)) and (height: clamp(1px, 2px, 3px)) {
                    .center-play {
                        width: clamp(2.5rem, 1.5182rem + 4.3636cqw, 4.9rem);
                        height: clamp(2.5rem, 1.5182rem + 4.3636cqw, 4.9rem);
                    }
                }

                .center-time {
                    width: 1.8rem;
                    height: 1.8rem;
                }
                /* Nur moderne Browser bekommen fluid size */
                @supports (width: clamp(1px, 2px, 3px)) and (height: clamp(1px, 2px, 3px)) {
                    .center-time {
                        width: clamp(1.8rem, 1.1045rem + 3.0909cqw, 3.5rem);
                        height: clamp(1.8rem, 1.1045rem + 3.0909cqw, 3.5rem);
                    }
                }
                
                .center-spacer {
                    width: 3rem;
                }
                /* Nur moderne Browser bekommen fluid size */
                @supports (width: clamp(1px, 2px, 3px)) {
                    .center-spacer {
                        width: clamp(3rem, 0.1364rem + 12.7273cqw, 10rem);
                    }
                }

            .controls-right {
                justify-content: flex-end;
            }

                /* UNTERMENU STYLING */
                .quality-options,
                .speed-options {
                    position: absolute;
                    z-index: 15;
                    overflow: hidden;
                    bottom: 3.8rem;

                    display: none;
                    flex-direction: column;

                    margin: 0;
                    padding: 0;

                    background: rgb(255, 255, 255);

                    border-radius: 5px;
                    
                    list-style: none;
                }
                /* Nur moderne Browser bekommen fluid size */
                @supports (bottom: clamp(1px, 2px, 3px)) {
                    .quality-options,
                    .speed-options {
                        bottom: clamp(3.8rem, 3.7077rem + 0.4103cqw, 4.2rem);
                    }
                }

                .quality-options.is-open,
                .speed-options.is-open {
                    display: flex;
                }

/* TABLET VIEW */
@media (min-width: 48rem) {

    .volume-slider {
        display: flex;
    }

}

/* DESKTOP VIEW */
@media (min-width: 64rem) {

}